<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Dimsav\Translatable\Translatable;

class Pagename extends Model
{
    use Translatable;
    protected $table="pagename";

    protected $fillable = ['key', 'slug'];

    public $translationModel = 'App\PagenameLocale';
    public $translatedAttributes = ['page_name'];

    public function locales(){
      return $this->hasMany('App\PagenameLocale','pagename_id');
    }

    public function meta_tags(){
      return $this->hasMany('App\Meta','pagename_id');
    }
}
